curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/model/compare' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"checkpoint_a": "string",
"checkpoint_b": "string"
}'
{
"checkpoint_a": "string",
"checkpoint_b": "string",
"config_changes": [
{
"field": "string",
"value_a": "string",
"value_b": "string"
}
],
"metric_diffs": {
"accuracy_diff": 1.5,
"f1_diff": 1.5,
"loss_diff": 1.5
},
"recommendation": "string"
}
Compare two model checkpoints
Required scope: models:manage
POST
/
api
/
v1
/
model
/
compare
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/model/compare' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"checkpoint_a": "string",
"checkpoint_b": "string"
}'
{
"checkpoint_a": "string",
"checkpoint_b": "string",
"config_changes": [
{
"field": "string",
"value_a": "string",
"value_b": "string"
}
],
"metric_diffs": {
"accuracy_diff": 1.5,
"f1_diff": 1.5,
"loss_diff": 1.5
},
"recommendation": "string"
}
Required scope:
models:manage
Request body
CompareModelsRequest
string
required
First checkpoint ID
string
required
Second checkpoint ID
Response
ModelComparison
string
required
Checkpoint A identifier
string
required
Checkpoint B identifier
ConfigChange[]
required
MetricDiff
required
string
required
Recommendation
Status codes
| Code | Meaning |
|---|---|
200 | Comparison result |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
404 | Checkpoint not found |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/model/compare' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"checkpoint_a": "string",
"checkpoint_b": "string"
}'
{
"checkpoint_a": "string",
"checkpoint_b": "string",
"config_changes": [
{
"field": "string",
"value_a": "string",
"value_b": "string"
}
],
"metric_diffs": {
"accuracy_diff": 1.5,
"f1_diff": 1.5,
"loss_diff": 1.5
},
"recommendation": "string"
}
Last modified on August 31, 2026